import '../../../utils/index.mjs';
import { defineComponent, getCurrentInstance, openBlock, createElementBlock, renderSlot } from 'vue';
import { clipboardProps } from './type.mjs';
import _export_sfc from '../../../_virtual/plugin-vue_export-helper.mjs';
import { copyText } from '../../../utils/tools.mjs';

const _sfc_main = defineComponent({
  name: "BcClipboard",
  props: clipboardProps,
  setup(props) {
    const inst = getCurrentInstance();
    const $message = inst?.appContext.config.globalProperties.$message;
    function handleClick() {
      let text = "";
      if (props.text) {
        text = props.text;
      } else {
        if (!props.dom) {
          console.warn("\u975E\u6CD5\u9009\u62E9\u5668");
          return;
        }
        const contentDom = document.body.querySelector(props.dom);
        text = contentDom?.textContent || contentDom?.value;
      }
      copyText(text).then(() => {
        props.success?.();
        $message.success(props.message);
      }).catch((err) => {
        console.error(err);
      });
    }
    return {
      handleClick
    };
  }
});
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("div", {
    onClick: _cache[0] || (_cache[0] = (...args) => _ctx.handleClick && _ctx.handleClick(...args))
  }, [
    renderSlot(_ctx.$slots, "default")
  ]);
}
var Clipboard = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { Clipboard as default };
//# sourceMappingURL=clipboard.mjs.map
