import { PropType, ExtractPropTypes, DefineComponent } from 'vue';
type IInputBorder = PropType<'none' | 'bottom' | 'all'>;
type ICopyOptions = {
    size?: number;
    color?: string;
    icon?: string;
};
export declare const inputProps: {
    /**
     * 默认值
     */
    defaultValue: (StringConstructor | NumberConstructor)[];
    /**
     * 只读，和readonly类似，通常用于打印
     */
    onlyDisplay: BooleanConstructor;
    /**
     * 是否显示边框
     */
    border: {
        type: IInputBorder;
        validator: (val: string) => boolean;
        default: string;
    };
    /**
     * 输入框的宽度
     */
    width: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    /**
     * 显示复制按钮，支持自定义图标
     */
    copy: {
        type: PropType<boolean | ICopyOptions | DefineComponent<{}, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{}>>, {}>>;
        default: boolean;
    };
};
export type InputProps = Partial<ExtractPropTypes<typeof inputProps>>;
export {};
