import { defineComponent, computed, openBlock, createBlock, Transition, mergeProps, withCtx, renderSlot, createCommentVNode } from 'vue';
import { motionProps } from './type.mjs';
import _export_sfc from '../../../_virtual/plugin-vue_export-helper.mjs';

const _sfc_main = defineComponent({
  name: "BcMotion",
  props: motionProps,
  setup(props) {
    const name = computed(() => {
      const classes = [props.type, props.direction].filter((item) => !!item).join("-");
      return `bc-motion-${classes}`;
    });
    return {
      name
    };
  }
});
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createBlock(Transition, mergeProps({
    class: "bc-motion-config",
    name: _ctx.name
  }, _ctx.$attrs, {
    style: {
      transitionDelay: _ctx.delay
    }
  }), {
    default: withCtx(() => [
      _ctx.show ? renderSlot(_ctx.$slots, "default", {
        key: 0,
        ref: "slotRef"
      }) : createCommentVNode("v-if", true)
    ]),
    _: 3
  }, 16, ["name", "style"]);
}
var Motion = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { Motion as default };
//# sourceMappingURL=CssMotion.mjs.map
