import { defineComponent, resolveComponent, openBlock, createBlock, mergeProps } from 'vue';
import { ElPagination } from 'element-plus';
import _export_sfc from '../../../_virtual/plugin-vue_export-helper.mjs';

const _sfc_main = defineComponent({
  name: "BcTablePagination",
  inheritAttrs: false,
  props: {
    pageSizes: Array,
    layout: {
      type: String,
      default: "total, prev, pager, next, sizes, jumper"
    },
    background: {
      type: Boolean,
      default: true
    }
  },
  components: {
    ElPagination
  }
});
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_pagination = resolveComponent("el-pagination");
  return openBlock(), createBlock(_component_el_pagination, mergeProps({
    class: "bc-pagination",
    background: _ctx.background,
    style: { "text-align": "right" },
    "page-sizes": _ctx.pageSizes || [5, 10, 20, 50],
    layout: _ctx.layout
  }, _ctx.$attrs), null, 16, ["background", "page-sizes", "layout"]);
}
var customPagination = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { customPagination as default };
//# sourceMappingURL=pagination.mjs.map
