'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('../../../utils/index.js');
var vue = require('vue');
var type = require('./type.js');
var pluginVue_exportHelper = require('../../../_virtual/plugin-vue_export-helper.js');
var tools = require('../../../utils/tools.js');

const _sfc_main = vue.defineComponent({
  name: "BcClipboard",
  props: type.clipboardProps,
  setup(props) {
    const inst = vue.getCurrentInstance();
    const $message = inst?.appContext.config.globalProperties.$message;
    function handleClick() {
      let text = "";
      if (props.text) {
        text = props.text;
      } else {
        if (!props.dom) {
          console.warn("\u975E\u6CD5\u9009\u62E9\u5668");
          return;
        }
        const contentDom = document.body.querySelector(props.dom);
        text = contentDom?.textContent || contentDom?.value;
      }
      tools.copyText(text).then(() => {
        props.success?.();
        $message.success(props.message);
      }).catch((err) => {
        console.error(err);
      });
    }
    return {
      handleClick
    };
  }
});
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", {
    onClick: _cache[0] || (_cache[0] = (...args) => _ctx.handleClick && _ctx.handleClick(...args))
  }, [
    vue.renderSlot(_ctx.$slots, "default")
  ]);
}
var Clipboard = /* @__PURE__ */ pluginVue_exportHelper["default"](_sfc_main, [["render", _sfc_render]]);

exports["default"] = Clipboard;
//# sourceMappingURL=clipboard.js.map
