'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');

const useConfigInject = (name, props) => {
  const configProvider = vue.inject("configProvider", {});
  const table = vue.computed(() => configProvider.table);
  const pageName = vue.computed(() => {
    var _a;
    return ((_a = configProvider.table) == null ? void 0 : _a.pageName) || "page";
  });
  const pageSizeName = vue.computed(() => {
    var _a;
    return ((_a = configProvider.table) == null ? void 0 : _a.pageSizeName) || "rows";
  });
  const arrayName = vue.computed(() => {
    var _a;
    return ((_a = configProvider.table) == null ? void 0 : _a.arrayName) || "data";
  });
  const label = vue.computed(() => {
    var _a;
    return ((_a = configProvider.select) == null ? void 0 : _a.label) || props.customLabel || "label";
  });
  const value = vue.computed(() => {
    var _a;
    return ((_a = configProvider.select) == null ? void 0 : _a.value) || props.customValue || "value";
  });
  const optionsName = vue.computed(() => {
    var _a;
    return ((_a = configProvider.select) == null ? void 0 : _a.arrayName) || props.arrayName || "rows";
  });
  const response = vue.computed(() => configProvider.response);
  const datePicker = vue.computed(() => configProvider.datePicker);
  return {
    search: configProvider.search,
    datePicker,
    table,
    pageName,
    pageSizeName,
    arrayName,
    label,
    value,
    optionsName,
    response
  };
};

exports.useConfigInject = useConfigInject;
//# sourceMappingURL=useConfigInject.js.map
